#include <stdio.h>

int main () {
  int n, stotine, desetice, jedinice, min, mid, max, MinimalniBroj;
  scanf("%d", &n);
  if (n < 100 || n > 999) {
      printf("-1\n");
      return 1;
  }
  stotine=n/100;
  desetice=n/10 % 10;
  jedinice=n % 10;
  max= stotine;
  if (max <= desetice) {
     max=desetice;
  }
  if (max <= jedinice) {
     max=jedinice;
  }
  min=stotine;
  if (min >= desetice) {
     min=desetice;
  }
  if (min >= jedinice) {
     min=jedinice;
  }
  if ((max==stotine && min==desetice) || (min==stotine && max==desetice)) {
     mid=jedinice;
  }
  else if ((max==desetice && min==jedinice) || (min==desetice && max==jedinice)) {
    mid=stotine;
  }
  else {
    mid=desetice;
  }
  if (mid==0) {
    MinimalniBroj=min*10+max;
  }
  else if (max==0) {
    MinimalniBroj=min*10+mid;
  }
  else if (min==0) {
    MinimalniBroj=mid*10+max;
  }
  else if (mid==0 && max==0) {
    MinimalniBroj=min;
  }
  else if (mid==0 && min==0) {
    MinimalniBroj=max;
  }
  else if (min==0 && max==0) {
    MinimalniBroj=mid;
  }
  else {
    MinimalniBroj=min*100+mid*10+max;
  }
  printf("%d\n", MinimalniBroj);  
    return 0;
}
